package capitulo04.bloque09;

public class Ejercicio03 {
    public static void main(String[] args) {
        int[] arrayOriginal = {1, 2, 3, 4, 5};
        int nuevoNum = 6;

        System.out.print("\nArray original: ");
        for (int value : arrayOriginal) {
            System.out.print(value + " ");
        }

        int[] arrayConNumero = addInteger(arrayOriginal, nuevoNum);

        System.out.print("\nArray con el nuevo Número: ");
        for (int value : arrayConNumero) {
            System.out.print(value + " ");
        }
    }

    public static int[] addInteger(int[] arrayOriginal, int nuevoNum) {
        int[] nuevoArray = new int[arrayOriginal.length + 1];

        for (int i = 0; i < arrayOriginal.length; i++) {
            nuevoArray[i] = arrayOriginal[i];
        }

        nuevoArray[nuevoArray.length - 1] = nuevoNum;

        return nuevoArray;
    }
}
